# $Revision: 1.17 $, $Date: 2008/03/25 21:34:31 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	version
Summary:	version - Perl extension for Version Objects
Summary(pl.UTF-8):	version - rozszerzenie Perla dla obiektów wersji
Name:		perl-version
Version:	0.74
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JP/JPEACOCK/%{pdir}-%{version}.tar.gz
# Source0-md5:	f4601fef731ad3cc4c70a59d496ff7f4
URL:		http://search.cpan.org/dist/version/
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More) >= 0.45
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Overloaded version objects for all versions of Perl. This module
implements all of the features of version objects which will be part
of Perl 5.10.0 except automatic version object creation.

%description -l pl.UTF-8
Przeciążone obiekty wersji dla wszystkich wersji Perla. Ten moduł
implementuje wszystkie możliwości obiektów wersji, które będą częścią
Perla 5.10.0, z wyjątkiem automatycznego tworzenia obiektu wersji.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/version/vxs/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/version.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README

%dir %{perl_vendorarch}/version
%dir %{perl_vendorarch}/auto/version
%dir %{perl_vendorarch}/auto/version/vxs

%attr(755,root,root)    %{perl_vendorarch}/auto/version/vxs/vxs.so
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/version/vxs/vxs.bs
%{perl_vendorarch}/version/vxs.pm

%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-version.spec,v $
Revision 1.17  2008/03/25 21:34:31  qboosh
- generic URL

Revision 1.16  2008-02-23 21:59:04  glen
- release 3

Revision 1.15  2008-02-10 12:23:21  arekm
- rel 2

Revision 1.14  2007-11-13 13:08:13  hawk
- updated to 0.74
- BR perl-ExtUtils-CBuilder

Revision 1.13  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.11  2007/01/05 17:33:29  wrobell
- fixed md5, rel. 2

Revision 1.10  2007/01/05 17:29:27  wrobell
- ver. 0.68

Revision 1.9  2007/01/05 16:59:18  wrobell
- now, really release 2 :/

Revision 1.8  2007/01/05 16:47:12  wrobell
- added missing dir
- rel. 2

Revision 1.7  2006/05/29 06:59:57  blaass
- ver up to 0.63

Revision 1.6  2006/02/15 22:24:18  glen
- up to 0.53

Revision 1.5  2005/07/27 21:42:21  radek
- version 0.44

Revision 1.4  2005/07/18 11:17:02  radek
- BR: perl-Module-Build

Revision 1.3  2005/07/18 11:16:25  radek
- version 0.43, switched to Module::Build

Revision 1.2  2004/11/03 21:12:51  qboosh
- pl, cosmetics

Revision 1.1  2004/11/03 12:45:30  radek
- new
